com.corticon.eclipse.core.util

## Class ValueSet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList
      - - com.corticon.eclipse.core.util.ValueSet

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

      public class ValueSet
      extends java.util.ArrayList

  ValueSet implementation.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueSet()` Constructor with no values.
    `ValueSet(java.lang.String astrInput)` Constructor for value set in base form (using "not" and comma as value separator).
    `ValueSet(java.lang.String astrInput, java.util.Locale aLocale)` Constructor for value set in localized form.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsNegation()`
    `boolean` | `equals(java.lang.Object aObject)` Improve performance by delegating "equals" to our own isSame method.
    `boolean` | `isDontCare()` Return true if this value set is the "don't care" set (i.e., if the value set has only one element and that value is the SET_ALL_VALUE).
    `boolean` | `isNegated()` Returns an indication of whether this value set is negated.
    `boolean` | `isOpposite(ValueSet aValueSet)`
    `boolean` | `isSame(ValueSet aValueSet)` Determines whether two ValueSet instances are identical, specifically the same size, same sequence, same values.
    `void` | `setNegated(boolean abNegated)` Set ibNegated with parameter.
    `java.lang.String` | `toConciseString()` Return the base value set formatted without annoying extra blanks.
    `java.lang.String` | `toConciseString(java.util.Locale aLocale)` Return the localized value set formatted without annoying extra blanks.
    `java.util.Set` | `toSet()` Return this ValueSet instance as a set.
    `java.lang.String` | `toString()` String representation of object.
    `java.lang.String` | `toString(java.util.Locale aLocale)` Localized string representation of object.

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeRange, retainAll, set, size, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, hashCode`

- - ### Constructor Detail

    - #### ValueSet

          public ValueSet()

      Constructor with no values.

    - #### ValueSet

          public ValueSet(java.lang.String astrInput)

      Constructor for value set in base form (using "not" and comma as value separator).
      Parameters:
        `astrInput` - Value set in base form (e.g., "not {'A', 'B'}").

    - #### ValueSet

          public ValueSet(java.lang.String astrInput,
                  java.util.Locale aLocale)

      Constructor for value set in localized form.
      Parameters:
        `astrInput` - Value set in localized form (e.g., "not {'A', 'B'}").
        `aLocale` - Locale that defines how input is expressed.

  - ### Method Detail

    - #### isNegated

          public boolean isNegated()

      Returns an indication of whether this value set is negated.
      Returns:
        `true` if the value set originally started with "not".

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Improve performance by delegating "equals" to our own isSame method.
      Specified by:
        `equals` in interface `java.util.Collection`
      Specified by:
        `equals` in interface `java.util.List`
      Overrides:
        `equals` in class `java.util.AbstractList`
      Parameters:
        `aObject` - Object to test.
      Returns:
        `true` if value sets are equal.

    - #### isSame

          public boolean isSame(ValueSet aValueSet)

      Determines whether two ValueSet instances are identical, specifically the same size, same sequence, same values.
      Parameters:
        `aValueSet` - ValueSet instance for comparison.

    - #### setNegated

          public void setNegated(boolean abNegated)

      Set ibNegated with parameter.
      Parameters:
        `abNegated` -

    - #### isDontCare

          public boolean isDontCare()

      Return true if this value set is the "don't care" set (i.e., if the value set has only one element and that value is the SET_ALL_VALUE).
      Returns:
        `true` if value set is the "don't care" set.

    - #### toString

          public java.lang.String toString()

      String representation of object.
      Overrides:
        `toString` in class `java.util.AbstractCollection`
      Returns:
        Value set formatted in base form.

    - #### toString

          public java.lang.String toString(java.util.Locale aLocale)

      Localized string representation of object.
      Parameters:
        `aLocale` - Locale to use to format string.
      Returns:
        Value set formatted with braces and set delimiter.

    - #### toConciseString

          public java.lang.String toConciseString()

      Return the base value set formatted without annoying extra blanks.
      Returns:
        Value set formatted with braces and commas.

    - #### toConciseString

          public java.lang.String toConciseString(java.util.Locale aLocale)

      Return the localized value set formatted without annoying extra blanks.
      Parameters:
        `aLocale` - Locale to use to format string.
      Returns:
        Value set formatted with braces and decimal separators.

    - #### toSet

          public java.util.Set toSet()

      Return this ValueSet instance as a set.
      Returns:
        This value set instance converted to a set.

    - #### isOpposite

          public boolean isOpposite(ValueSet aValueSet)

    - #### containsNegation

          public boolean containsNegation()

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.